Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overwidth Permit# 2020-02219, UID# 2772
App. Status: Expired

Valid: 04/06/2020 - 04/09/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2486 (04/03/2020)

Charge Cost Quantity Total
Non-Taxable
added 04/03/2020 10:20 AM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $30.00
Payment 04/03/2020$30.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJOANNA JUNGLES - 04/03/2020 10:20 AM
338cea3fd47254122789b27e20e279cb
86f15d86932a03213d08103cf8ef1a17
 
#1 Permit Issuing OfficialKen Miller - 04/03/2020 12:30 PM
feca16f253299cbc408ebfb64fe20bea
feaf49e11cf7e4dd6e051312309e35d1
 
Permit has been approved. All signatures have been obtained.